## org.apache.felix.httplite.servlet
Class HttpConstants

    java.lang.Object
      org.apache.felix.httplite.servlet.HttpConstants

    public class HttpConstants

extends java.lang.Object

Defines some commonly used HTTP constants and headers.

Field Summary
`static java.lang.String` `CLOSE_CONNECTION` Close value for Connection header.
`static java.lang.String` `DEFAULT_HTML_HEADER` For building HTML error messages, this value is the default start of the html document for error message responses.
`static java.lang.String` `DELETE_REQUEST` HTTP DELETE Method
`static java.util.Enumeration` `EMPTY_ENUMERATION` Servlet API requires passing empty enumerations.
`static java.lang.String` `GET_REQUEST` HTTP GET Method
`static java.lang.String` `HEAD_REQUEST` HTTP HEAD Method
`static java.lang.String` `HEADER_CONNECTION` Connection header
`static java.lang.String` `HEADER_CONTENT_LENGTH` Content-Length header
`static java.lang.String` `HEADER_CONTENT_TYPE` Content-Type header
`static java.lang.String` `HEADER_DELEMITER` HTTP line delimiter
`static java.lang.String` `HEADER_LOCATION` Location header
`static java.lang.String` `HEADER_TERMINATOR` HTTP header delimiter
`static java.lang.String` `HEADER_VALUE_DELIMITER` HTTP header delimiter.
`static java.lang.String` `HOST_HEADER` Host header
`static java.lang.String` `HTTP_DATE_FORMAT` Date format for HTTP
`static int` `HTTP_RESPONSE_CONTINUE` HTTP response code 100
`static java.lang.String` `HTTP_SCHEME` HTTP Scheme
`static java.lang.String` `HTTP_TIMEZONE` Timezone specified for HTTP
`static java.lang.String` `HTTP10_VERSION` HTTP v 1.0
`static java.lang.String` `HTTP11_VERSION` HTTP v 1.1
`static java.lang.String` `KEEPALIVE_CONNECTION` Keep-alive value for Connection header.
`static java.lang.Object` `OPTIONS_REQUEST` HTTP OPTIONS Method
`static java.lang.String` `POST_REQUEST` HTTP POST Method
`static java.lang.String` `PUT_REQUEST` HTTP PUT Method
`static java.lang.String` `SERVER_INFO` Servlet implementation name.
`static java.lang.Object` `SERVICE_PROPERTY_KEY_HTTP_ENABLE` Felix HTTP service property to enable HTTP server
`static java.lang.Object` `SERVICE_PROPERTY_KEY_HTTP_PORT` Felix HTTP property to configure server port.
`static java.lang.Object` `SERVICE_PROPERTY_KEY_HTTPS_ENABLE` Felix HTTP service property to enable HTTPS server (unimplemented)

Constructor Summary
`HttpConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_DELEMITER

    public static final java.lang.String HEADER_DELEMITER

  HTTP line delimiter

  See Also:
    Constant Field Values

### HEADER_TERMINATOR

    public static final java.lang.String HEADER_TERMINATOR

  HTTP header delimiter

  See Also:
    Constant Field Values

### HEADER_CONTENT_LENGTH

    public static final java.lang.String HEADER_CONTENT_LENGTH

  Content-Length header

  See Also:
    Constant Field Values

### HEADER_LOCATION

    public static final java.lang.String HEADER_LOCATION

  Location header

  See Also:
    Constant Field Values

### HEADER_CONTENT_TYPE

    public static final java.lang.String HEADER_CONTENT_TYPE

  Content-Type header

  See Also:
    Constant Field Values

### HEADER_CONNECTION

    public static final java.lang.String HEADER_CONNECTION

  Connection header

  See Also:
    Constant Field Values

### DEFAULT_HTML_HEADER

    public static final java.lang.String DEFAULT_HTML_HEADER

  For building HTML error messages, this value is the default start of the html document for error message responses.

  See Also:
    Constant Field Values

### HEADER_VALUE_DELIMITER

    public static final java.lang.String HEADER_VALUE_DELIMITER

  HTTP header delimiter.

  See Also:
    Constant Field Values

### GET_REQUEST

    public static final java.lang.String GET_REQUEST

  HTTP GET Method

  See Also:
    Constant Field Values

### HEAD_REQUEST

    public static final java.lang.String HEAD_REQUEST

  HTTP HEAD Method

  See Also:
    Constant Field Values

### POST_REQUEST

    public static final java.lang.String POST_REQUEST

  HTTP POST Method

  See Also:
    Constant Field Values

### PUT_REQUEST

    public static final java.lang.String PUT_REQUEST

  HTTP PUT Method

  See Also:
    Constant Field Values

### DELETE_REQUEST

    public static final java.lang.String DELETE_REQUEST

  HTTP DELETE Method

  See Also:
    Constant Field Values

### OPTIONS_REQUEST

    public static final java.lang.Object OPTIONS_REQUEST

  HTTP OPTIONS Method

### HTTP10_VERSION

    public static final java.lang.String HTTP10_VERSION

  HTTP v 1.0

  See Also:
    Constant Field Values

### HTTP11_VERSION

    public static final java.lang.String HTTP11_VERSION

  HTTP v 1.1

  See Also:
    Constant Field Values

### HOST_HEADER

    public static final java.lang.String HOST_HEADER

  Host header

  See Also:
    Constant Field Values

### KEEPALIVE_CONNECTION

    public static final java.lang.String KEEPALIVE_CONNECTION

  Keep-alive value for Connection header.

  See Also:
    Constant Field Values

### CLOSE_CONNECTION

    public static final java.lang.String CLOSE_CONNECTION

  Close value for Connection header.

  See Also:
    Constant Field Values

### HTTP_DATE_FORMAT

    public static final java.lang.String HTTP_DATE_FORMAT

  Date format for HTTP

  See Also:
    Constant Field Values

### HTTP_TIMEZONE

    public static final java.lang.String HTTP_TIMEZONE

  Timezone specified for HTTP

  See Also:
    Constant Field Values

### SERVICE_PROPERTY_KEY_HTTP_ENABLE

    public static final java.lang.Object SERVICE_PROPERTY_KEY_HTTP_ENABLE

  Felix HTTP service property to enable HTTP server

### SERVICE_PROPERTY_KEY_HTTPS_ENABLE

    public static final java.lang.Object SERVICE_PROPERTY_KEY_HTTPS_ENABLE

  Felix HTTP service property to enable HTTPS server (unimplemented)

### SERVICE_PROPERTY_KEY_HTTP_PORT

    public static final java.lang.Object SERVICE_PROPERTY_KEY_HTTP_PORT

  Felix HTTP property to configure server port.

### HTTP_RESPONSE_CONTINUE

    public static final int HTTP_RESPONSE_CONTINUE

  HTTP response code 100

  See Also:
    Constant Field Values

### SERVER_INFO

    public static final java.lang.String SERVER_INFO

  Servlet implementation name.

  See Also:
    Constant Field Values

### HTTP_SCHEME

    public static final java.lang.String HTTP_SCHEME

  HTTP Scheme

  See Also:
    Constant Field Values

### EMPTY_ENUMERATION

    public static final java.util.Enumeration EMPTY_ENUMERATION

  Servlet API requires passing empty enumerations.

Constructor Detail

### HttpConstants

    public HttpConstants()

Copyright © 2006-2012 The Apache Software Foundation. All Rights Reserved.